<?php
# stats.php - Statistics
#
# Written by
#  Francisco Burzi
#  Patrik Wallstrm <pawal@blipp.com>
#  Aron Bostrm <aron@linux.se>
#
# This file is part of Gnuheter.
# See the file README for copyright notice.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
#  02111-1307  USA.
#
# $Id: stats.php,v 1.2 2002/06/04 12:42:24 pawal Exp $

include('mainfile.php');
include('header.php');
include_once("counter_lib.php");

function stat_open_table() { ?>
<table cellspacing="0" cellpadding="2" border="0" bgcolor="#000000"><tr><td colspan="2">
<table cellspacing="0" cellpadding="3" border="0" bgcolor="#ffffff">
<?
}

function stat_close_table() {
    echo "</td></tr></table></td></tr></table>\n";
}

$dkn = mysql_query("SELECT type, var, count FROM counter_ny ORDER BY type DESC");
if (!$dkn) { echo mysql_errno(). ": ".mysql_error(). "<br>";	exit(); }
while(list($type, $var, $count) = mysql_fetch_row($dkn)) {
	if($var == "hits") {
		$hits = $count;
	} elseif($var == "total") {
		$total = $count;
	} elseif($type == "browser") {
		if($var == "NS v<=4") {
			$ns4[] = $count;
			$ns4[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "NS v>=6") {
			$ns6[] = $count;
			$ns6[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Galeon") {
			$galeon[] = $count;
			$galeon[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "MSIE") {
			$msie[] = $count;
			$msie[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Konqueror") {
			$konqueror[] = $count;
			$konqueror[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Opera") {
			$opera[] = $count;
			$opera[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Lynx") {
			$lynx[] = $count;
			$lynx[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Links") {
			$links[] = $count;
			$links[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "w3m") {
			$w3m[] = $count;
			$w3m[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Wget") {
			$wget[] = $count;
			$wget[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Emacs/W3") {
			$emacs[] = $count;
			$emacs[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Mosaic") {
			$mosaic[] = $count;
			$mosaic[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Dillo") {
			$dillo[] = $count;
			$dillo[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "OmniWeb") {
			$omniweb[] = $count;
			$omniweb[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "K-Meleon") {
			$kmeleon[] = $count;
			$kmeleon[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Mozilla") {
			$mozilla[] = $count;
			$mozilla[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Validator") {
			$validator[] = $count;
			$validator[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Bot") {
			$bot[] = $count;
			$bot[] =  substr(100 * $count / $total, 0, 5);
		} elseif(($type == "browser") && ($var == "vriga")) {
			$b_other[] = $count;
			$b_other[] =  substr(100 * $count / $total, 0, 5);
		}
	} elseif($type == "os") {
		if($var == "Windows") {
			$windows[] = $count;
			$windows[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Mac") {
			$mac[] = $count;
			$mac[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "MacOS X") {
			$osx[] = $count;
			$osx[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "OpenBSD") {
			$openbsd[] = $count;
			$openbsd[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "NetBSD") {
			$netbsd[] = $count;
			$netbsd[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Linux") {
			$linux[] = $count;
			$linux[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "FreeBSD") {
			$freebsd[] = $count;
			$freebsd[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Tru64 Unix") {
			$tru64[] = $count;
			$tru64[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "HP-UX") {
			$hpux[] = $count;
			$hpux[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "QNX") {
			$qnx[] = $count;
			$qnx[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "AtheOS") {
			$atheos[] = $count;
			$atheos[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Amiga") {
			$amiga[] = $count;
			$amiga[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "Atari") {
			$atari[] = $count;
			$atari[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "SunOS") {
			$sunos[] = $count;
			$sunos[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "IRIX") {
			$irix[] = $count;
			$irix[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "BeOS") {
			$beos[] = $count;
			$beos[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "OS/2") {
			$os2[] = $count;
			$os2[] =  substr(100 * $count / $total, 0, 5);
		} elseif($var == "AIX") {
			$aix[] = $count;
			$aix[] =  substr(100 * $count / $total, 0, 5);
		} elseif(($type == "os") && ($var == "vriga")) {
			$os_other[] = $count;
			$os_other[] =  substr(100 * $count / $total, 0, 5);
		}
	}
}

echo "<div align=\"center\">Vi har ftt <b>$total</b> trffar frn och med $startdate<br>Vi har ftt in <b>$hits</b> trffar sedan vi nollstllde statistiken.<br>Du anvnder webblsare '".valla("$HTTP_USER_AGENT")."' p operativsystemet '".op_sys("$HTTP_USER_AGENT")."' med anvndaridentifieringen '$HTTP_USER_AGENT'. OmDetta inte stmmer var vnlig kontakta <A HREF=\"mailto:gnuheter-dev@mail.freesoftware.fsf.org\">utvecklarna</a>.<br><br>";

stat_open_table();
echo "<font color=\"#ffffff\"><div align=\"center\"><b>Webblsare</b></div>\n";
echo "<tr><td><img src=\"images/stats/explorer.png\" border=\"0\" alt=\"Internet Explorer\">&nbsp;MSIE: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $msie[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $msie[1] % ($msie[0])</td></tr>\n";
echo "<tr><td>&nbsp;Netscape: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $ns4[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $ns4[1] % ($ns4[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/netscape.png\" border=\"0\" alt=\"Netscape Navigator >= 6.x\">&nbsp;Netscape 6+: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $ns6[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $ns6[1] % ($ns6[0])</td></tr>\n";
echo "<tr><td>&nbsp;Mozilla: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $mozilla[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $mozilla[1] % ($mozilla[0])</td></tr>\n";
echo "<tr><td>&nbsp;Galeon: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $galeon[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $galeon[1] % ($galeon[0])</td></tr>\n";
echo "<tr><td>&nbsp;K-Meleon: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $kmeleon[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $kmeleon[1] % ($kmeleon[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/konqueror.png\" border=\"0\" alt=\"Konqueror\">&nbsp;Konqueror: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $konqueror[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $konqueror[1] % ($konqueror[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/opera.png\" border=\"0\" alt=\"Opera\">&nbsp;Opera: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $opera[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $opera[1] % ($opera[0])</td></tr>\n";
echo "<tr><td>&nbsp;OmniWeb: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $omniweb[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $omniweb[1] % ($omniweb[0])</td></tr>\n";
echo "<tr><td>&nbsp;Dillo: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $dillo[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $dillo[1] % ($dillo[0])</td></tr>\n";
echo "<tr><td>&nbsp;Mosaic: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $mosaic[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $mosaic[1] % ($mosaic[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/lynx.png\" border=\"0\" alt=\"Lynx\">&nbsp;Lynx: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $lynx[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $lynx[1] % ($lynx[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/lynx.png\" border=\"0\" alt=\"Links\">&nbsp;Links: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $links[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $links[1] % ($links[0])</td></tr>\n";
echo "<tr><td>&nbsp;w3m: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $w3m[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $w3m[1] % ($w3m[0])</td></tr>\n";
echo "<tr><td>&nbsp;Emacs/W3: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $emacs[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $emacs[1] % ($emacs[0])</td></tr>\n";
echo "<tr><td>&nbsp;Wget: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $wget[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $wget[1] % ($wget[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/altavista.png\" border=\"0\" alt=\"Skmotorer\">&nbsp;Skmotorer: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $bot[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $bot[1] % ($bot[0])</td></tr>\n";
echo "<tr><td>&nbsp;Validator: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $validator[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $validator[1] % ($validator[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/question.png\" border=\"0\" alt=\"Oknda eller vriga\">&nbsp;Oknda eller vriga: </td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $b_other[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $b_other[1] % ($b_other[0])";
echo "</font>";
stat_close_table();

echo "</div><br><br><div align=\"center\">";

stat_open_table();
echo "<font color=\"#ffffff\"><div align=\"center\"><b>Operativsystem</b></div></font>\n";
echo "<tr><td><img src=\"images/stats/windows.png\" border=\"0\" alt=\"Windows\">&nbsp;Windows:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $windows[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $windows[1] % ($windows[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/linux.png\" border=\"0\" alt=\"Linux\">&nbsp;Linux:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $linux[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $linux[1] % ($linux[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/mac.png\" border=\"0\" alt=\"MacOS\">&nbsp;MacOS:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $mac[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $mac[1] % ($mac[0])</td></tr>\n";
echo "<tr><td>&nbsp;MacOS X:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $osx[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $osx[1] % ($osx[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/bsd.png\" border=\"0\" alt=\"FreeBSD\">&nbsp;FreeBSD:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $freebsd[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $freebsd[1] % ($freebsd[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/bsd.png\" border=\"0\" alt=\"OpenBSD\">&nbsp;OpenBSD:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $openbsd[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $openbsd[1] % ($openbsd[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/bsd.png\" border=\"0\" alt=\"NetBSD\">&nbsp;NetBSD:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $netbsd[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $netbsd[1] % ($netbsd[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/sun.png\" border=\"0\" alt=\"SunOS\">&nbsp;SunOS:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $sunos[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $sunos[1] % ($sunos[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/irix.png\" border=\"0\" alt=\"Irix\">&nbsp;IRIX:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $irix[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $irix[1] % ($irix[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/be.png\" border=\"0\" alt=\"BeOS\">&nbsp;BeOS:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $beos[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $beos[1] % ($beos[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/os2.png\" border=\"0\" alt=\"OS/2\">&nbsp;OS/2:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $os2[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $os2[1] % ($os2[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/aix.png\" border=\"0\" alt=\"AIX\">&nbsp;AIX:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $aix[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $aix[1] % ($aix[0])</td></tr>\n";
echo "<tr><td>&nbsp;Amiga:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $amiga[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $amiga[1] % ($amiga[0])</td></tr>\n";
echo "<tr><td>&nbsp;Atari:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $atari[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $atari[1] % ($atari[0])</td></tr>\n";
echo "<tr><td>&nbsp;AtheOS:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $atheos[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $atheos[1] % ($atheos[0])</td></tr>\n";
echo "<tr><td>&nbsp;QNX:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $qnx[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $qnx[1] % ($qnx[0])</td></tr>\n";
echo "<tr><td>&nbsp;HP-UX:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $hpux[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $hpux[1] % ($hpux[0])</td></tr>\n";
echo "<tr><td>&nbsp;Tru64 Unix:</td><td><img src=\"images/leftbar.png\" height=14 width=7 alt=\"\"><img src=\"images/mainbar.png\" alt=\"\" height=14 width=", $tru64[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 alt=\"\"> $tru64[1] % ($tru64[0])</td></tr>\n";
echo "<tr><td><img src=\"images/stats/question.png\" border=\"0\" alt=\"Oknda eller vriga\">&nbsp;Oknda eller vriga:</td><td><img src=\"images/leftbar.png\" height=14 width=7 Alt=\"\"><img src=\"images/mainbar.png\" ALt=\"\" height=14 width=", $os_other[1] * 2, "><img src=\"images/rightbar.png\" height=14 width=7 Alt=\"\"> $os_other[1] % ($os_other[0])";
echo "</font>";
stat_close_table();
echo "</div><br><br><div align=\"center\">";

$result = mysql_query("SELECT COUNT(*) FROM users");
list ($unum) = mysql_fetch_row($result);
$result = mysql_query("SELECT COUNT(*) FROM authors");
list ($anum) = mysql_fetch_row($result);
$result = mysql_query("SELECT COUNT(*) FROM stories");
list ($snum) = mysql_fetch_row($result);
$result = mysql_query("SELECT COUNT(*) FROM comments");
list ($cnum) = mysql_fetch_row($result);
$result = mysql_query("SELECT COUNT(*) FROM sections");
list ($secnum) = mysql_fetch_row($result);
$result = mysql_query("SELECT COUNT(*) FROM seccont");
list ($secanum) = mysql_fetch_row($result);
$result = mysql_query("SELECT COUNT(*) FROM queue");
list ($subnum) = mysql_fetch_row($result);
$result = mysql_query("SELECT COUNT(*) FROM topics");
list ($tnum) = mysql_fetch_row($result);
$result = mysql_query("SELECT COUNT(*) FROM links_links");
list ($links) = mysql_fetch_row($result);
$result = mysql_query("SELECT COUNT(*) FROM links_categories");
list ($cat1) = mysql_fetch_row($result);
$result = mysql_query("SELECT COUNT(*) FROM links_subcategories");
list ($cat2) = mysql_fetch_row($result);
$cat = $cat1+$cat2;

stat_open_table();
echo "<font color=\"#ffffff\"><div align=\"center\"><b>Diverse statistik</b></div></font>\n";
echo "<tr><td><img src=\"images/stats/users.png\" border=\"0\">&nbsp;Registrerade anvndare: </td><td><b>$unum</b></td></tr>\n";
echo "<tr><td><img src=\"images/stats/authors.png\" border=\"0\">&nbsp;Aktiva skribenter: </td><td><b>$anum</b></td></tr>\n";
echo "<tr><td><img src=\"images/stats/news.png\" border=\"0\">&nbsp;Publicerade artiklar: </td><td><b>$snum</b></td></tr>\n";
echo "<tr><td><img src=\"images/stats/topics.png\" border=\"0\">&nbsp;Aktiva mnen: </td><td><b>$tnum</b></td></tr>\n";
echo "<tr><td><img src=\"images/stats/comments.png\" border=\"0\">&nbsp;Postade kommentarer: </td><td><b>$cnum</b></td></tr>\n";
#echo "<tr><td><img src=\"images/stats/sections.png\" border=\"0\">&nbsp;Specialavdelningar: </td><td><b>$secnum</b></td></tr>\n";
#echo "<tr><td><img src=\"images/stats/articles.png\" border=\"0\">&nbsp;Artiklar i avdelningar: </td><td><b>$secanum</b></td></tr>\n";
echo "<tr><td><img src=\"images/stats/topics.png\" border=\"0\">&nbsp;Lnkar i lnkdatabasen: </td><td><b>$links</b></td></tr>\n";
echo "<tr><td><img src=\"images/stats/sections.png\" border=\"0\">&nbsp;Kategorier i lnkdatabasen: </td><td><b>$cat</b></td></tr>\n";
echo "<tr><td><img src=\"images/stats/waiting.png\" border=\"0\">&nbsp;Nyheter i publiceringskn: </td><td><b>$subnum</b></td></tr>\n";
#echo "<tr><td><img src=\"images/stats/sections.png\" border=\"0\">&nbsp;Version av PHP-Nuke: </td><td><b>$Version_Num</b></td></tr>\n";
html_page_foot();
echo "<br><br></center>";

include('footer.php');

?>
